{
  "name": "@jmw/react-ts-lib-boilerplate",
  "version": "1.0.0",
  "main": "build/index.js",
  "author": "Joe Wollard <joe.wollard@gmail.com>",
  "license": "MIT",
  "scripts": {
    "build:docs": "build-storybook --docs -o storybook-static",
    "build:storybook": "build-storybook -o storybook-static",
    "build": "tsc -p ./tsconfig.build.json",
    "prebuild:docs": "yarn test:generate-output",
    "prebuild:storybook": "yarn test:generate-output",
    "prestart:docs": "yarn test:generate-output",
    "prestart": "yarn test:generate-output",
    "start:docs": "start-storybook --docs -p 6006",
    "start": "start-storybook -p 6006",
    "test:generate-output": "jest --json --outputFile=.jest-test-results.json",
    "test": "jest"
  },
  "files": [
    "dist",
    "scss"
  ],
  "dependencies": {},
  "devDependencies": {
    "@babel/core": "^7.10.2",
    "@storybook/addon-a11y": "^5.3.19",
    "@storybook/addon-docs": "^5.3.19",
    "@storybook/addon-jest": "^5.3.19",
    "@storybook/addon-viewport": "^5.3.19",
    "@storybook/addons": "^5.3.19",
    "@storybook/react": "^5.3.19",
    "@testing-library/jest-dom": "^5.10.0",
    "@testing-library/react": "^10.2.1",
    "@types/jest": "^26.0.0",
    "@typescript-eslint/eslint-plugin": "^3.2.0",
    "@typescript-eslint/parser": "^3.2.0",
    "babel-loader": "^8.1.0",
    "babel-preset-react-app": "^9.1.2",
    "css-loader": "^3.5.3",
    "eslint": "7.2.0",
    "eslint-config-airbnb": "18.1.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-import-resolver-typescript": "^2.0.0",
    "eslint-plugin-import": "^2.21.2",
    "eslint-plugin-jest": "^23.13.2",
    "eslint-plugin-jsx-a11y": "^6.2.3",
    "eslint-plugin-prettier": "^3.1.3",
    "eslint-plugin-react": "^7.20.0",
    "eslint-plugin-react-hooks": "^4.0.4",
    "eslint-plugin-testing-library": "^3.2.2",
    "jest": "^26.0.1",
    "prettier": "^2.0.5",
    "react": "^16.13.1",
    "react-docgen-typescript-loader": "^3.7.2",
    "react-dom": "^16.13.1",
    "react-is": "^16.13.1",
    "sass": "^1.26.8",
    "sass-loader": "^8.0.2",
    "style-loader": "^1.2.1",
    "typescript": "^3.9.5"
  },
  "peerDependencies": {
    "react": "^16.12.0",
    "react-dom": "^16.12.0"
  }
}
